// pages/selectusers(college)/index.js
Page({
  inputgetCollege:function(e){
    this.setData({
      getUser_College:e.detail.value
    })
  },
  inputgetGrade:function(e){
    this.setData({
      getUser_Grade:e.detail.value
    })
  },
  inputgetClass:function(e){
    this.setData({
      getUser_Class:e.detail.value
    })
  },
  searchDataNameFn:function(){
    wx.cloud.callFunction({
      name: 'useroption',
      data: {
        option: 'getCollege',
        getUser_College:this.data.getUser_College,
        getUser_Grade:this.data.getUser_Grade,
        getUser_Class:this.data.getUser_Class
      },
      success: res => {
        this.setData({
          array: res.result.data
        })
        wx.showToast({
          title: '用户查询成功',
        })
        console.log(res.result.data)
      },
      fail: err => {
        wx.showToast({
          title: '用户查询失败',
        })
      }
    })
    },
  getback:function(){
    wx.navigateBack({
      delta:2,
    })
  }
})